Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.core
Enum PropagationType

    java.lang.Object
      java.lang.Enum<PropagationType>
          org.jboss.seam.core.PropagationType

All Implemented Interfaces:
  Serializable, Comparable<PropagationType>

    public enum PropagationType

extends Enum<PropagationType>

Various options controlling how a conversation is propagated.

Author:
  Shane Bryzak

Enum Constant Summary
`BEGIN`
`DEFAULT`
`END`
`ENDROOT`
`JOIN`
`NESTED`
`NONE`

Method Summary
`static PropagationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropagationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final PropagationType DEFAULT

### BEGIN

    public static final PropagationType BEGIN

### JOIN

    public static final PropagationType JOIN

### NESTED

    public static final PropagationType NESTED

### NONE

    public static final PropagationType NONE

### END

    public static final PropagationType END

### ENDROOT

    public static final PropagationType ENDROOT

Method Detail

### values

    public static PropagationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PropagationType c : PropagationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PropagationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.